; AutoIt Version: 3.3.0
; Language:       English
; Platform:       Win9x/NT
; Author:         yanni

#NoTrayIcon
#include <GUIConstantsEx.au3>
#include <WindowsConstants.au3>
#include <StaticConstants.au3>
#include <ButtonConstants.au3>
#Include <String.au3>
#Include <File.au3>

If $CmdLine[0]=0 Then
MsgBox(48, "K-Meleon Mafuka: User Error", "Save as kma(k-meleon WebArchive) can only run with its macro. ")
Else
checkdir()
EndIf

Func checkdir()
$checkpath1=($CmdLine[1] & " ")
$checkpath2=StringIsSpace ($checkpath1)
            If $checkpath2=1 Then
            MsgBox(48, "K-Meleon Mafuka: Aborting", "K-meleon has no save directory set. Please set a save folder by saving a file or image first and try again.")
            Else
            pendkma()
EndIf
EndFunc

Func pendkma()
DirCreate($CmdLine[1] &"\kmapender")
$kompressor=(@ScriptDir & "\7z.exe")
$namesug1=StringReplace($CmdLine[2], "www2.", "")
$namesug2=StringReplace($namesug1, "www.", "")
$namesug3=StringReplace($namesug2, ".com", "")
$namesug4=StringReplace($namesug3, ".co.uk", "")
$namesug5=StringReplace($namesug4, ".edu", "")
$namesug6=StringReplace($namesug5, ".org", "")
$namesug7=StringReplace($namesug6, ".net", "")
$namesug8=StringReplace($namesug7, ".tv", "")
$namesug9=StringReplace($namesug8, ".uk", "")
$namesug10=StringReplace($namesug9, ".gr", "")
$namesug11=StringReplace($namesug10, ".ru", "")
$namesug12=StringReplace($namesug11, ".de", "")
$namesug13=StringReplace($namesug12, ".fr", "")
$kmaname1=FileSaveDialog("Select KMA Path/name", @ScriptDir & "\webarchives", "K-meleon Web Archive (*.kma)", 2, $namesug13)
If @error Then
DirRemove($CmdLine[1] &"\kmapender")
Exit
Else
$kmaname2=($kmaname1 & "-" & @HOUR & "-" & @MIN & ".kma")
$7zKompdest=("""" & $kmaname2 & """")
$7zpath=(@ScriptDir & "\7zkma\7z.exe")
$pendname=("kmapend")
WinActivate("[CLASS:KMeleon Browser Window]")
WinSetOnTop("[CLASS:KMeleon Browser Window]", "", 1)

Send("^s")
WinWaitActive("Save As")
WinSetTrans("Save As", "", 0)
WinSetOnTop("[CLASS:KMeleon Browser Window]", "", 0)
WinSetOnTop("Save As", "", 1)
Sleep(40)
clipput($pendname)
Send("^v")
clipput(" ")
Sleep(80)
Send("{ENTER}")
sleep(1000)
$hold = GUICreate("make kma", 184, 28, -1, -1, BitOR($WS_DLGFRAME, $WS_POPUP, $WS_EX_TOPMOST))
$label = GUICtrlCreateLabel("Saving kma in progress..Bitte wait..", 15, 7, 210, 20)
GUISetState(@SW_SHOW)
$pendkma1=($CmdLine[1] &"\kmapender")
$pendkmaindex=($pendkma1 & "\index.htm")
$kmaindex=($CmdLine[1] &"\kmapend.htm")
$kmadir=($CmdLine[1] &"\kmapend_files")

While fileexists($kmaindex)=0
WinSetOnTop("make kma", "", 1)
$msg = GUIGetMsg()

$initialsave=$CmdLine[1]
wend
sleep(2000)
$pendkma1=($CmdLine[1] &"\kmapender")
$pendkmaindex=($pendkma1 & "\index.htm")
$kmaindex=($CmdLine[1] &"\kmapend.htm")
$kmadir=($CmdLine[1] &"\kmapend_files")
FileMove($kmaindex, $pendkmaindex, 8)
DirMove($kmadir, $pendkma1,1)
sleep(80)

sleep(3888)
$7zparm1=(" " & """" & $pendkma1 & "\*" & """" & " " & "-r")
$7zparm2=(" a -tzip ")
$7zallparms=($7zparm2 & $7zKompdest & $7zparm1)
$pendkomprun=($7zpath & $7zallparms)
run($pendkomprun, "", @SW_HIDE)
;MsgBox(4096, "Test", $pendkomprun)

ProcessWait("7z.exe")
sleep(1488)
DirRemove($pendkma1,1)
$checker=FileExists($kmaname2)
if $checker=1 Then
GUICtrlSetData ($label,"Kma Mafuka saved successfully.")
sleep(4000)
GUIDelete()
Else
GUICtrlSetData ($label,"Kma save failed.Please try again..")
sleep(4000)
GUIDelete()
EndIf
Return
Exit
EndIf

EndFunc

